
/* ----------------------------------------------------------------------
   The SINUS Firewall -- a TCP/IP packet filter for Linux

   Written within the SINUS project at the University of Zurich,
   SWITCH, Telekurs Payserv AG, ETH Zurich.
   originally based on the sf Firewall Software (C) 1996 by Robert
   Muchsel and Roland Schmid.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   SINUS Firewall resources:
   SINUS Homepage: http://www.ifi.unizh.ch/ikm/SINUS/
   Firewall Homepage: http://www.ifi.unizh.ch/ikm/SINUS/firewall.html
   Frequently asked questions: http://www.ifi.unizh.ch/ikm/SINUS/sf_faq.html
   Mailing list for comments, questions, bug reports: firewall@ifi.unizh.ch
   ----------------------------------------------------------------------  */



package sfclasses;

import java.awt.*;
import java.io.*;

/**
 * This class describes Internet objects. An Internet object represents
 * an Internet connection.
 * @version 1.0 03 Dec 1996
 * @author Roland E. Schmid
 */

public class Internet extends IconObject {

  /** 
   * Initialize Internet object
   */
  public Internet() {
    // implicit call to super()
    if (bSource == null)
      bSource = new web01ImageSource();
    icon = Toolkit.getDefaultToolkit().createImage(bSource);
    objectID = new String("Internet");
  }

  // overriding Object methods

  /**
   * @return string describing the Internet object
   */
  public String toString() {
    return "Internet: "+objectInfo();
  }
  
  private static java.awt.image.ImageProducer bSource = null;

}

// Internet icon
class web01ImageSource extends java.awt.image.MemoryImageSource {

  final static int bWidth = 40;
  final static int bHeight = 40;
  private static int[] bPixels = { // color model is AARRGGBB

    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff78b4e0, 0xffa0c8e8, 0xff2884d8, 0xff78b4e0, 0xff78b4e0,
    0xffa0c8e8, 0xff78b4e0, 0xff2884d8, 0xff105ca0, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff2884d8, 0xff78b4e0,
    0xff2884d8, 0xff2884d8, 0xffa0acc8, 0xff787478, 0xff787478,
    0xff787478, 0xff284c48, 0xff787478, 0xff105ca0, 0xffa0c8e8,
    0xff78b4e0, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff78b4e0, 0xffa0c8e8, 0xffa0acc8, 0xffa0acc8,
    0xffa0acc8, 0xff787478, 0xff787478, 0xff2884d8, 0xff284c48,
    0xff787478, 0xff787478, 0xff787478, 0xff284c48, 0xff78b4e0,
    0xff2884d8, 0xffa0acc8, 0xff2884d8, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xffa0acc8, 0xffa0acc8, 0xffb8bcb8, 0xffa0acc8, 0xff787478,
    0xff787478, 0xff787478, 0xff787478, 0xff787478, 0xff003890,
    0xff787478, 0xff787478, 0xff105ca0, 0xff003890, 0xff003890,
    0xff003890, 0xff003890, 0xff78b4e0, 0xff105ca0, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff787478, 0xff787478,
    0xffa0acc8, 0xffa0acc8, 0xffa0acc8, 0xff787478, 0xff787478,
    0xff787478, 0xff284c48, 0xff787478, 0xff000c08, 0xffa0acc8,
    0xffa0acc8, 0xff787478, 0xff003890, 0xff2884d8, 0xff105ca0,
    0xff2884d8, 0xff003890, 0xff003890, 0xffa0c8e8, 0xff78b4e0,
    0xff284c48, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff284c48, 0xff78b4e0, 0xff787478,
    0xffa0acc8, 0xff787478, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xffd0dcd8, 0xff284c48, 0xff284c48, 0xff787478,
    0xff787478, 0xffa0acc8, 0xff105ca0, 0xff105ca0, 0xff2884d8,
    0xff2884d8, 0xff105ca0, 0xff2884d8, 0xffa0c8e8, 0xff78b4e0,
    0xff105ca0, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xffa0acc8, 0xff787478, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff787478, 0xffa0acc8, 0xffa0acc8,
    0xffa0acc8, 0xffb8bcb8, 0xffa0acc8, 0xff787478, 0xff284c48,
    0xff284c48, 0xff003890, 0xff003890, 0xff105ca0, 0xff78b4e0,
    0xff105ca0, 0xff105ca0, 0xff003890, 0xff105ca0, 0xff2884d8,
    0xff105ca0, 0xff2884d8, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff78b4e0, 0xff2884d8, 0xff284c48, 0xff787478,
    0xff787478, 0xffb8bcb8, 0xff787478, 0xffd0dcd8, 0xff284c48,
    0xff787478, 0xffa0acc8, 0xff284c48, 0xff284c48, 0xffb8bcb8,
    0xff2884d8, 0xff78b4e0, 0xffb8bcb8, 0xff2884d8, 0xff78b4e0,
    0xffd0dcd8, 0xffd0dcd8, 0xffb8bcb8, 0xffb8bcb8, 0xff003890,
    0xff2884d8, 0xff105ca0, 0xff105ca0, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff787478, 0xff787478, 0xff787478, 0xffa0c8e8,
    0xff78b4e0, 0xff787478, 0xffd0dcd8, 0xffa0acc8, 0xff787478,
    0xff284c48, 0xffe0e4f8, 0xff787478, 0xffb8bcb8, 0xffa0c8e8,
    0xff003890, 0xffd0dcd8, 0xff105ca0, 0xff78b4e0, 0xff2884d8,
    0xff003890, 0xff003890, 0xff78b4e0, 0xff2884d8, 0xffa0c8e8,
    0xff105ca0, 0xff2884d8, 0xff105ca0, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff2884d8, 0xff105ca0, 0xff105ca0, 0xffa0c8e8, 0xff105ca0,
    0xffb8bcb8, 0xffd0dcd8, 0xffb8bcb8, 0xffa0acc8, 0xffd0dcd8,
    0xff787478, 0xffd0dcd8, 0xff787478, 0xffd0dcd8, 0xffa0acc8,
    0xff003890, 0xff2884d8, 0xffb8bcb8, 0xff78b4e0, 0xff105ca0,
    0xff105ca0, 0xff003890, 0xff105ca0, 0xff2884d8, 0xff003890,
    0xff78b4e0, 0xff105ca0, 0xff2884d8, 0xff003890, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff2884d8, 0xff2884d8, 0xff105ca0, 0xff105ca0, 0xff003890,
    0xff2884d8, 0xffa0acc8, 0xffa0acc8, 0xff787478, 0xff787478,
    0xffa0acc8, 0xffa0acc8, 0xffa0acc8, 0xffa0acc8, 0xffa0acc8,
    0xff2884d8, 0xff78b4e0, 0xffb8bcb8, 0xff003890, 0xff003890,
    0xff2884d8, 0xff2884d8, 0xff003890, 0xff2884d8, 0xff105ca0,
    0xff2884d8, 0xff78b4e0, 0xff003890, 0xff105ca0, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff78b4e0,
    0xff2884d8, 0xff105ca0, 0xffa0c8e8, 0xff003890, 0xff78b4e0,
    0xff2884d8, 0xff003890, 0xffb8bcb8, 0xff787478, 0xff787478,
    0xffa0acc8, 0xffb8bcb8, 0xffd0dcd8, 0xff787478, 0xff787478,
    0xff003890, 0xff787478, 0xffa0acc8, 0xff105ca0, 0xff003890,
    0xff003890, 0xff003890, 0xff003890, 0xff003890, 0xff78b4e0,
    0xff2884d8, 0xff78b4e0, 0xff78b4e0, 0xff003890, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff78b4e0,
    0xff105ca0, 0xffa0c8e8, 0xff003890, 0xff78b4e0, 0xff003890,
    0xff003890, 0xff78b4e0, 0xffd0dcd8, 0xff787478, 0xff284c48,
    0xffa0acc8, 0xffe0e4f8, 0xffa0acc8, 0xffa0acc8, 0xff105ca0,
    0xff003890, 0xff787478, 0xffa0acc8, 0xff105ca0, 0xffa0c8e8,
    0xff003890, 0xff003890, 0xff2884d8, 0xff105ca0, 0xff003890,
    0xff2884d8, 0xff2884d8, 0xff2884d8, 0xff78b4e0, 0xff003890,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff2884d8,
    0xff78b4e0, 0xffa0c8e8, 0xff78b4e0, 0xff003890, 0xff003890,
    0xff003890, 0xff105ca0, 0xff284c48, 0xff787478, 0xffa0acc8,
    0xff787478, 0xff787478, 0xff284c48, 0xff787478, 0xff105ca0,
    0xff003890, 0xff787478, 0xff003890, 0xff003890, 0xff003890,
    0xff003890, 0xff003890, 0xff105ca0, 0xff003890, 0xff003890,
    0xff003890, 0xff003890, 0xff105ca0, 0xff003890, 0xff003890,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff2884d8,
    0xff2884d8, 0xff2884d8, 0xff78b4e0, 0xff003890, 0xff003890,
    0xff2884d8, 0xffa0c8e8, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff000c08, 0xff284c48, 0xff105ca0, 0xff105ca0,
    0xff003890, 0xff284c48, 0xff003890, 0xff78b4e0, 0xff2884d8,
    0xff003890, 0xff78b4e0, 0xff003890, 0xff2884d8, 0xff003890,
    0xff003890, 0xff003890, 0xff105ca0, 0xff2884d8, 0xff105ca0,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff2884d8,
    0xff2884d8, 0xff78b4e0, 0xff003890, 0xffa0c8e8, 0xff003890,
    0xff2884d8, 0xffd0dcd8, 0xff78b4e0, 0xff284c48, 0xff284c48,
    0xff284c48, 0xffd0dcd8, 0xffa0acc8, 0xff2884d8, 0xff105ca0,
    0xff003890, 0xff003890, 0xff003890, 0xff003890, 0xff105ca0,
    0xff003890, 0xff003890, 0xff78b4e0, 0xff105ca0, 0xff105ca0,
    0xff003890, 0xff2884d8, 0xff003890, 0xff2884d8, 0xff105ca0,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff2884d8,
    0xff003890, 0xff003890, 0xff105ca0, 0xff003890, 0xff003890,
    0xff003890, 0xff003890, 0xff003890, 0xffb8bcb8, 0xff787478,
    0xff284c48, 0xff787478, 0xff284c48, 0xff105ca0, 0xff105ca0,
    0xff003890, 0xff003890, 0xff003890, 0xff003890, 0xff003890,
    0xff003890, 0xff003890, 0xff003890, 0xffb8bcb8, 0xff003890,
    0xff003890, 0xff105ca0, 0xff003890, 0xff003890, 0xff003890,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff2884d8,
    0xff2884d8, 0xff2884d8, 0xff105ca0, 0xff105ca0, 0xff78b4e0,
    0xff2884d8, 0xff78b4e0, 0xff003890, 0xff2884d8, 0xff284c48,
    0xffb8bcb8, 0xffa0acc8, 0xff2884d8, 0xffa0acc8, 0xff105ca0,
    0xff003890, 0xff003890, 0xff105ca0, 0xff003890, 0xff78b4e0,
    0xff003890, 0xff003890, 0xff003890, 0xff2884d8, 0xffe0e4f8,
    0xff003890, 0xff003890, 0xff003890, 0xff2884d8, 0xff105ca0,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff78b4e0,
    0xff78b4e0, 0xff2884d8, 0xff003890, 0xff003890, 0xff105ca0,
    0xffa0c8e8, 0xff78b4e0, 0xff003890, 0xff2884d8, 0xff105ca0,
    0xff78b4e0, 0xffa0c8e8, 0xffd0dcd8, 0xffd0dcd8, 0xffb8bcb8,
    0xffd0dcd8, 0xffb8bcb8, 0xff2884d8, 0xff003890, 0xff003890,
    0xff2884d8, 0xff003890, 0xff003890, 0xff105ca0, 0xff003890,
    0xff2884d8, 0xff003890, 0xff2884d8, 0xff2884d8, 0xff003890,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff2884d8,
    0xff105ca0, 0xffa0c8e8, 0xff105ca0, 0xff003890, 0xff78b4e0,
    0xff78b4e0, 0xff78b4e0, 0xff105ca0, 0xff003890, 0xff2884d8,
    0xff78b4e0, 0xff105ca0, 0xff2884d8, 0xffd0dcd8, 0xffd0dcd8,
    0xffd0dcd8, 0xffd0dcd8, 0xff78b4e0, 0xff2884d8, 0xff003890,
    0xff78b4e0, 0xff2884d8, 0xffb8bcb8, 0xff003890, 0xff003890,
    0xffa0c8e8, 0xff003890, 0xff105ca0, 0xff105ca0, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff2884d8, 0xffa0c8e8, 0xff2884d8, 0xff105ca0, 0xff2884d8,
    0xff003890, 0xff78b4e0, 0xff003890, 0xff78b4e0, 0xff003890,
    0xff78b4e0, 0xffb8bcb8, 0xff78b4e0, 0xffd0dcd8, 0xffb8bcb8,
    0xffc8dce8, 0xff78b4e0, 0xff003890, 0xff003890, 0xff78b4e0,
    0xffa0c8e8, 0xff78b4e0, 0xff78b4e0, 0xff105ca0, 0xff2884d8,
    0xffa0c8e8, 0xff105ca0, 0xff003890, 0xff003890, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff2884d8, 0xffc8dce8, 0xff2884d8, 0xff105ca0, 0xff2884d8,
    0xff78b4e0, 0xffd0dcd8, 0xff78b4e0, 0xff105ca0, 0xff003890,
    0xff78b4e0, 0xffc8dce8, 0xffd0dcd8, 0xffd0dcd8, 0xffb8bcb8,
    0xff2884d8, 0xff105ca0, 0xffa0c8e8, 0xff2884d8, 0xffa0c8e8,
    0xff003890, 0xffa0c8e8, 0xffb8bcb8, 0xffa0c8e8, 0xffa0c8e8,
    0xff78b4e0, 0xff2884d8, 0xff003890, 0xff003890, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff2884d8, 0xffa0c8e8, 0xffa0c8e8, 0xff78b4e0,
    0xffb8bcb8, 0xff2884d8, 0xffd0dcd8, 0xffb8bcb8, 0xffa0c8e8,
    0xffa0c8e8, 0xffb8bcb8, 0xffa0c8e8, 0xffb8bcb8, 0xff78b4e0,
    0xff2884d8, 0xff2884d8, 0xffa0c8e8, 0xff105ca0, 0xff003890,
    0xff78b4e0, 0xff105ca0, 0xff003890, 0xff105ca0, 0xffa0c8e8,
    0xff78b4e0, 0xff2884d8, 0xff105ca0, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff2884d8, 0xffa0c8e8, 0xff78b4e0, 0xff105ca0,
    0xff2884d8, 0xff2884d8, 0xffd0dcd8, 0xffb8bcb8, 0xffa0c8e8,
    0xffa0c8e8, 0xffa0c8e8, 0xffa0c8e8, 0xff78b4e0, 0xffa0c8e8,
    0xffa0c8e8, 0xff78b4e0, 0xff78b4e0, 0xffb8bcb8, 0xffc8dce8,
    0xff2884d8, 0xff2884d8, 0xff003890, 0xff105ca0, 0xff78b4e0,
    0xff2884d8, 0xff003890, 0xff003890, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xffa0c8e8, 0xff2884d8, 0xff003890,
    0xffa0c8e8, 0xffa0c8e8, 0xff78b4e0, 0xffb8bcb8, 0xffb8bcb8,
    0xffa0c8e8, 0xff78b4e0, 0xff78b4e0, 0xff78b4e0, 0xff78b4e0,
    0xff2884d8, 0xff78b4e0, 0xff78b4e0, 0xffa0c8e8, 0xff78b4e0,
    0xff2884d8, 0xff003890, 0xff78b4e0, 0xff78b4e0, 0xff2884d8,
    0xff003890, 0xff003890, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff78b4e0, 0xff78b4e0,
    0xff78b4e0, 0xffa0c8e8, 0xff105ca0, 0xff78b4e0, 0xff78b4e0,
    0xffa0c8e8, 0xffb8bcb8, 0xffb8bcb8, 0xff78b4e0, 0xffa0c8e8,
    0xffa0c8e8, 0xffa0c8e8, 0xff78b4e0, 0xffa0c8e8, 0xff2884d8,
    0xff78b4e0, 0xffa0c8e8, 0xff2884d8, 0xff78b4e0, 0xff2884d8,
    0xff2884d8, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff78b4e0,
    0xff78b4e0, 0xffa0c8e8, 0xff2884d8, 0xff78b4e0, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffa0c8e8, 0xffa0c8e8, 0xffb8bcb8,
    0xffa0c8e8, 0xff78b4e0, 0xffb8bcb8, 0xff78b4e0, 0xffa0c8e8,
    0xff78b4e0, 0xffa0c8e8, 0xff78b4e0, 0xff2884d8, 0xff105ca0,
    0xff003890, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xffa0c8e8, 0xffa0c8e8, 0xffa0c8e8, 0xffa0c8e8, 0xffa0c8e8,
    0xffa0c8e8, 0xffa0c8e8, 0xff78b4e0, 0xffb8bcb8, 0xffb8bcb8,
    0xffa0c8e8, 0xffb8bcb8, 0xffa0c8e8, 0xffa0c8e8, 0xffa0c8e8,
    0xff78b4e0, 0xff78b4e0, 0xff2884d8, 0xff2884d8, 0xff284c48,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff78b4e0, 0xffa0c8e8, 0xffa0c8e8, 0xffa0c8e8,
    0xffa0c8e8, 0xffa0c8e8, 0xffa0c8e8, 0xffa0c8e8, 0xffa0c8e8,
    0xffa0c8e8, 0xffa0c8e8, 0xffa0c8e8, 0xffa0c8e8, 0xff78b4e0,
    0xff78b4e0, 0xff78b4e0, 0xff2884d8, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff78b4e0, 0xffa0c8e8,
    0xffa0c8e8, 0xff78b4e0, 0xffa0c8e8, 0xffa0c8e8, 0xffa0c8e8,
    0xffa0c8e8, 0xff78b4e0, 0xff78b4e0, 0xff78b4e0, 0xff78b4e0,
    0xff78b4e0, 0xff003890, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff78b4e0, 0xff78b4e0, 0xff78b4e0, 0xff78b4e0, 0xff78b4e0,
    0xff78b4e0, 0xff78b4e0, 0xff78b4e0, 0xff2884d8, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xff000000, 0xff000000, 0xff000000, 0xff000000,
    0xff000000, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8, 0xffe0e4f8,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xffe0e4f8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8,
    0xffb8bcb8, 0xffb8bcb8, 0xffb8bcb8, 0xff284c48, 0xff284c48,
    0xffe0e4f8, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48, 0xff284c48,
    };

  public web01ImageSource() {
    super( bWidth, bHeight, bPixels, 0, bWidth );
  }
}
